Bug 816566 - system comes up without persistent network device names being used
system comes up without persistent network device names being used
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 08:31 EDT by Bruno Wolff III
Modified: 2013-05-29 09:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 09:34:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2012-04-26 08:31:32 EDT
Description of problem:
I upgraded to dracut-018-37.git20120425.fc18.1.noarch so that I could boot rc4 kernels. While I was able to boot after rebuilding an initramfs for an rc4 kernel, my network devices had the wrong names that caused network.service to fail as it couldn't rename the swapped devices. Arguably this is a short coming of the network service and deserves a bug there, but since I have persistent network device names udev rules, I expect dracut to pick those up.

Version-Release number of selected component (if applicable):


How reproducible:
I am not sure.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Harald Hoyer 2012-07-03 04:21:54 EDT
You should use biosdevname or specify the interface names via kernel command line parameter:

http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html#_network

ifname=<interface>:<MAC>
    Assign network device name <interface> (ie eth0) to the NIC with MAC <MAC>. Note: If you use this option you must specify an ifname= argument for all interfaces used in ip= or fcoe= arguments. However, if the interface in ip= or fcoe= is a bridge, bonding or vlan interface, you should specify an ifname= for each of its underlying interfaces. This parameter can be specified multiple times.
Comment 2 Fedora End Of Life 2013-04-03 10:40:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.